# The MEME Suite

## Motif-based sequence analysis tools

## glam2mask

### Usage:

`glam2mask [options] <glam2 motif> <sequence file>`

### Description

This program masks the occurrences of a GLAM2 motif so that weaker motifs can be found. Masking replaces residues aligned to key positions with the symbol 'x'. By alternately applying glam2 and glam2mask several times, it is possible to find the strongest, second-strongest, third-strongest, etc. motifs in a set of sequences.

### Input

#### <glam2 motif>

The name of a GLAM2 output file.

#### <sequence file>

The name of a file containing FASTA formatted sequences.

### Output

The input sequences are output with the GLAM2 motif sites masked out with 'x's. The sequences are normally sent to standard output but this can be changed by specifying the -o option.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-o | output file | The masked sequences are written to output file. | The masked sequences are written to standard output.
-x | mask character | The instances of the glam2 motif are masked out with the mask character. | The instances of the glam2 motif are masked out with 'x'.

### Examples

- Mask the top motif in my_motif.glam2 out of my_seqs.fa, and store the result in mask1.fa:
  `glam2mask -o mask1.fa my_motif.glam2 my_seqs.fa`
- Mask the top motif in my_motif.glam2 out of my_seqs.fa, using 'n' as the mask symbol:
  `glam2mask -x n my_motif.glam2 my_seqs.fa`